#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	OpenSP
Version		:	1.5.2
Release		:	17.2.0.rel%{?dist}
Summary		:	SGML and XML parser

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://openjade.sourceforge.net/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-multilib.patch
Patch1		:	%{name}-%{version}-nodeids.patch
Patch2		:	%{name}-%{version}-sigsegv.patch
Patch3		:	%{name}-%{version}-manpage.patch

#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++
BuildRequires	:	glibc
BuildRequires	:	make

Requires	:	sgml-common
#-----------------------------------------------------------------------------
%description
OpenSP is an implementation of the ISO/IEC 8879:1986
standard SGML (Standard Generalized Markup Language).
OpenSP is based on James Clark's SP implementation of
SGML. OpenSP is a command-line application and a set
of components, including a generic API.

#-----------------------------------------------------------------------------
%files			-f sp5.lang
%defattr(-, root,root,-)
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/os*
%{_bindir}/onsgmls
%{_libdir}/libosp.so.*
#{_datadir}/OpenSP/*
#{_datadir}/doc/OpenSP/doc/*.htm
%{_mandir}/man1/os*.1.gz
%{_mandir}/man1/onsgmls.1.gz
	
#=============================================================================
%package		devel

Summary		:	 Files for developing applications that use OpenSP

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Header files and libtool library for developing
applications that use OpenSP.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*.cxx
%{_libdir}/libosp.so

#=============================================================================
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# convert files to UTF-8
iconv						\
	-f latin1				\
	-t utf8 ChangeLog			\
	-o ChangeLog.tmp
	
%{__mv} -f					\
	ChangeLog.tmp				\
	ChangeLog

# ensure that applying the above patches doesn't cause
# lib/parser_inst.cxx to be regenerated
touch lib/parser_inst.cxx

#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -i -f
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# Clean out (installed) redundant copies of the docs and DTDs.
%{__rm} -rf						\
	%{buildroot}%{_docdir}/OpenSP			\
	%{buildroot}%{_datadir}/OpenSP

%find_lang sp5
#-----------------------------------------------------------------------------
%changelog
